<?php

session_start();

session_unset(); 

?>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<!--meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"-->
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" />
	<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	<meta name="description" content="">
	<meta name="author" content="">

    <title>Quini Site</title>

	<!-- Bootstrap core Css
    ================================================== -->
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/final.css">
    
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
	
	<script src="js/jquery.min.js"></script>
	<script src="js/popper.min.js"></script>
	<script src="js/bootstrap.min.js"></script>

	<script>	

		function rc4(key, str)
		{
			var s = [], j = 0, x, res = '';
			for (var i = 0; i < 256; i++) 
			{
				s[i] = i;
			}
			for (i = 0; i < 256; i++) 
			{
				j = (j + s[i] + key.charCodeAt(i % key.length)) % 256;
				x = s[i];
				s[i] = s[j];
				s[j] = x;
			}
			i = 0;
			j = 0;
			for (var y = 0; y < str.length; y++) 
			{
				i = (i + 1) % 256;
				j = (j + s[i]) % 256;
				x = s[i];
				s[i] = s[j];
				s[j] = x;
				res += String.fromCharCode(str.charCodeAt(y) ^ s[(s[i] + s[j]) % 256]);
			}
			return res;
		}	
		
		function getPage() {
					
			var vt1 = document.getElementById('login-username').value;
			var vt2 = document.getElementById('login-password').value;
			
			if (vt1 == '') {
				alert('You must enter the UserName');
				return false;
			}
			if (vt2 == '') {
				alert('You must enter the Password');
				return false;
			}		
			
			var codeId = rc4('LSHbswz5ZpldSEvVBe1XWGMHtww9pmet5awu1XMW9tVQlJLSuOd6G5S6s', vt1);
			var codeValue = rc4('LSHbswz5ZpldSEvVBe1XWGMHtww9pmet5awu1XMW9tVQlJLSuOd6G5S6s', vt2);
						
			var request = $.ajax({
				url: 'auth.php',
				type: 'POST',
				data: { t1 : codeId, t2: codeValue },
				dataType: "html"
			});
 
			request.done(function( msg ) {
				var n = msg.indexOf("good");
				if (n > -1) {
					$('#lgood').show();
					$('#lbad').hide();
					
					setTimeout(function(){
						location.href = "select.php";
					}, 2000);					
					
				} else {
					$('#lgood').hide();
					$('#lbad').show();
				}
			});
		}
		
		
	</script>
	
	<style>
	body {
		  /* Location of the image */
		  background-image: url(images/f3.jpg);
		  
		  /* Background image is centered vertically and horizontally at all times */
		  background-position: center center;
		  
		  /* Background image doesn't tile */
		  background-repeat: no-repeat;
		  
		  /* Background image is fixed in the viewport so that it doesn't move when 
			 the content's height is greater than the image's height */
		  background-attachment: fixed;
		  
		  /* This is what makes the background image rescale based
			 on the container's size */
		  background-size: cover;
		  
		  /* Set a background color that will be displayed
			 while the background image is loading */
		  background-color: #464646;
		  
		  margin-top: 70px;
		}
	</style>
	
</head>
<body>

<div class="container">
	<!--img src="images/pools.png" alt="..."-->
	
	<div id="loginbox" style="margin-top:50px;" class="mainbox col-md-6 col-md-offset-3 col-sm-8 col-sm-offset-2">                    
		<div class="panel panel-primary" >
			<div class="panel-heading">				
				<div class="panel-title">Log In</div>
			</div>     
	
			<form id="loginform" class="form-horizontal" role="form">
			<div style="padding-top:30px" class="panel-body" >
				<div style="display:none" id="login-alert" class="alert alert-danger col-sm-12"></div>                                    
						<div style="margin-bottom: 25px" class="input-group">
							<span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
							<input id="login-username" type="text" class="form-control" name="username" value="" placeholder="id">                                        
						</div>
                                
						<div style="margin-bottom: 25px" class="input-group">
							<span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
							<input id="login-password" type="password" class="form-control" name="password" value="" placeholder="password">
						</div>
                        
						<div style="margin-top:10px" class="form-group">
							<div class="col-sm-12 controls">
								<a id="btn-login" href="#" onclick="getPage();" class="btn btn-primary">Login  </a>
							</div>
						</div>
					</div>                     
				</div>  
					
				<div id="lgood" class="alert alert-success" role="alert">Welcome!!!</div>
				<div id="lbad" class="alert alert-danger" role="alert">Error in the data, please validate the credential.</div>
				
			</form>
        </div>	
		
	</div> <!-- /container -->
</body>
</html>

<script>
	$('#lbad').hide();
	$('#lgood').hide();		

	
	
</script>