<?php

session_start();

session_unset(); 

?>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<!--meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"-->
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" />
	<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	<meta name="description" content="">
	<meta name="author" content="">

    <title>Quini Site</title>

	<!-- Bootstrap core Css
    ================================================== -->
    <link rel="stylesheet" href="css/bootstrap2.min.css">
    <!--link rel="stylesheet" href="css/final.css"-->
    
    <script src="js/jquery.min.js"></script>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
	
	<script src="js/popper.min.js"></script>
	<script src="js/bootstrap2.bundle.min.js"></script>

	<script>	

		function rc4(key, str)
		{
			var s = [], j = 0, x, res = '';
			for (var i = 0; i < 256; i++) 
			{
				s[i] = i;
			}
			for (i = 0; i < 256; i++) 
			{
				j = (j + s[i] + key.charCodeAt(i % key.length)) % 256;
				x = s[i];
				s[i] = s[j];
				s[j] = x;
			}
			i = 0;
			j = 0;
			for (var y = 0; y < str.length; y++) 
			{
				i = (i + 1) % 256;
				j = (j + s[i]) % 256;
				x = s[i];
				s[i] = s[j];
				s[j] = x;
				res += String.fromCharCode(str.charCodeAt(y) ^ s[(s[i] + s[j]) % 256]);
			}
			return res;
		}	
		
		function getPage() {
					
			var vt1 = document.getElementById('login-username').value;
			var vt2 = document.getElementById('login-password').value;
			
			if (vt1 == '') {
				alert('You must enter the User Id');
				return false;
			}
			if (vt2 == '') {
				alert('You must enter the Password');
				return false;
			}		
			
			var codeId = rc4('LSHbswz5ZpldSEvVBe1XWGMHtww9pmet5awu1XMW9tVQlJLSuOd6G5S6s', vt1);
			var codeValue = rc4('LSHbswz5ZpldSEvVBe1XWGMHtww9pmet5awu1XMW9tVQlJLSuOd6G5S6s', vt2);
						
			var request = $.ajax({
				url: 'auth.php',
				type: 'POST',
				data: { t1 : codeId, t2: codeValue },
				dataType: "html"
			});
 
			request.done(function( msg ) {
				var n = msg.indexOf("good");
				if (n > -1) {
					$('#lgood').show();
					$('#lbad').hide();
					
					setTimeout(function(){
						location.href = "selectbi.php";
					}, 2000);					
					
				} else {
					$('#lgood').hide();
					$('#lbad').show();
				}
			});
		}
		
		
	</script>
	
	<style>
    
	</style>
	
</head>
<body>
    
    
<section class="vh-100">
  <div class="container-fluid h-custom">
    <div class="row d-flex justify-content-center align-items-center h-100">
      <div class="col-md-9 col-lg-6 col-xl-5">
        <img src="images/national-football-league3.jpg" class="img-fluid"
          alt="Sample image">
      </div>
      <div class="text-center col-md-8 col-lg-6 col-xl-4 offset-xl-1">
        <form>
          <!--div class="d-flex flex-row align-items-center justify-content-center justify-content-lg-start">
            <p class="lead fw-normal mb-0 me-3">Sign in with</p>
            <button type="button" class="btn btn-primary btn-floating mx-1">
              <i class="fab fa-facebook-f"></i>
            </button>

            <button type="button" class="btn btn-primary btn-floating mx-1">
              <i class="fab fa-twitter"></i>
            </button>

            <button type="button" class="btn btn-primary btn-floating mx-1">
              <i class="fab fa-linkedin-in"></i>
            </button>
          </div-->

          <div class="divider d-flex align-items-center my-4">
            <p class="text-center fw-bold mx-3 mb-0">QUINIELA NFL 2022</p>
          </div>

          <!-- Email input -->
          <div class="form-outline mb-4">
            <input type="email" id="login-username" class="form-control form-control-lg"
              placeholder="Enter a valid user id" />
            <label class="form-label" for="form3Example3">User</label>
          </div>

          <!-- Password input -->
          <div class="form-outline mb-3">
            <input type="password" id="login-password" class="form-control form-control-lg"
              placeholder="Enter password" />
            <label class="form-label" for="form3Example4">Password</label>
          </div>

          <div class="d-flex justify-content-between align-items-center">
            <!-- Checkbox -->
            <!--div class="form-check mb-0">
              <input class="form-check-input me-2" type="checkbox" value="" id="form2Example3" />
              <label class="form-check-label" for="form2Example3">
                Remember me
              </label>
            </div>
            <a href="#!" class="text-body">Forgot password?</a-->
          </div>

          <div class="text-center text-lg-start mt-4 pt-2">
            <button type="button" class="btn btn-primary btn-lg"
              style="padding-left: 2.5rem; padding-right: 2.5rem;"  onclick="getPage();">Login</button><br><br>
            <!--p class="small fw-bold mt-2 pt-1 mb-0">Don't have an account? <a href="#!"
                class="link-danger">Register</a></p-->
                <div id="lgood" class="alert alert-success" role="alert">Welcome!!!</div>
				<div id="lbad" class="alert alert-danger" role="alert">Error in the data, please validate the credential.</div>
          </div>

        </form>
      </div>
    </div>
  </div>
  <div class="d-flex flex-column flex-md-row text-center text-md-start justify-content-between py-4 px-4 px-xl-5">
    <!-- Copyright -->
    <div class="text-white mb-3 mb-md-0 bg-primary">
      Copyright © 2022. All rights reserved.
    </div>
    <!-- Copyright -->

    <!-- Right -->
    <div>
      <a href="#!" class="text-white me-4">
        <i class="fab fa-facebook-f"></i>
      </a>
      <a href="#!" class="text-white me-4">
        <i class="fab fa-twitter"></i>
      </a>
      <a href="#!" class="text-white me-4">
        <i class="fab fa-google"></i>
      </a>
      <a href="#!" class="text-white">
        <i class="fab fa-linkedin-in"></i>
      </a>
    </div>
    <!-- Right -->
  </div>
</section>    

<!--div class="container">
	
	<div id="loginbox" style="margin-top:50px;" class="mainbox col-md-6 col-md-offset-3 col-sm-8 col-sm-offset-2">                    
		<div class="panel panel-primary" >
			<div class="panel-heading">				
				<div class="panel-title">Log In</div>
			</div>     
	
			<form id="loginform" class="form-horizontal" role="form">
			<div style="padding-top:30px" class="panel-body" >
				<div style="display:none" id="login-alert" class="alert alert-danger col-sm-12"></div>                                    
						<div style="margin-bottom: 25px" class="input-group">
							<span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
							<input id="login-username" type="text" class="form-control" name="username" value="" placeholder="id">                                        
						</div>
                                
						<div style="margin-bottom: 25px" class="input-group">
							<span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
							<input id="login-password" type="password" class="form-control" name="password" value="" placeholder="password">
						</div>
                        
						<div style="margin-top:10px" class="form-group">
							<div class="col-sm-12 controls">
								<a id="btn-login" href="#" onclick="getPage();" class="btn btn-primary">Login  </a>
							</div>
						</div>
					</div>                     
				</div>  
					
				<div id="lgood" class="alert alert-success" role="alert">Welcome!!!</div>
				<div id="lbad" class="alert alert-danger" role="alert">Error in the data, please validate the credential.</div>
				
			</form>
        </div>	
		
	</div-->
</body>
</html>

<script>
	$('#lbad').hide();
	$('#lgood').hide();		

	
	
</script>