<?php

session_start();

// Si no hay sesión abierta, debe dirigirse al login...
if ($_SESSION['U_ID'] == '') {
    header("Location: loginbi.php");
    exit();
}

// Verifica el id de pool seleccionada...
if (!empty($_POST))
{
	$pid = $_POST['pid'];
	$pdesc = $_POST['pdesc'];
	if ($pid != '') {
		$_SESSION['POOL_ID'] = $pid;
		$_SESSION['POOL_DESC'] = $pdesc;
	}	
}

?>

<!DOCTYPE html>
<html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=gb18030">
	
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no" />
	<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	<meta name="description" content="">
	<meta name="author" content="">

    <title>Quini Site</title>

	<!-- Bootstrap core Css
    ================================================== -->
    <link rel="stylesheet" href="css/bootstrap2.min.css">
    
    <link rel="stylesheet" href="css/finalbi.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
	<script src="js/jquery.min.js"></script>
	<script src="js/popper.min.js"></script>
	<script src="js/bootstrap2.bundle.min.js"></script>
	
	<script src="js/bootstrap-select.min.js"></script>
	<script src="js/jquery.image-shadow.js"></script>

	<script>
	
	    var selectedTeam = '';
		
		
		<?php
		
            // Guarda la referencia de los equipos disponibles
            
            require 'header.php';
            
            echo 'var cteams = new Map();';
            
            $s = 'select * from teams';
            $result = $conn->query($s);
            
            while ($row = $result->fetch_array(MYSQLI_ASSOC)){ 
                echo 'cteams.set(\''.$row['teams_id'].'\', \''.$row['city'].' '.$row['teams_id'].'\');';
            }
            
            $result->close();
            
            
            require 'footer.php';
		
	    ?>
	    
	    function teamSel(ts) {
	        selectedTeam = ts;
	    }
	    
	    function confirmTeam() {
	        
	        if (selectedTeam == '') {
	            alert('You must select the pick');
	        } else {
    	        //alert('Selected team: ' + selectedTeam);
    	        getPage('selteam.php', selectedTeam, '');
	        }
	    }

		function ts(team) {
		    $('.teamSelected').html(equipo);
		    getPage('selectsur.php', team, '');
		}
        function tst(team) {
            var equipo = cteams.get(team);
		    $('.teamSelected').html(equipo);
		    getPage('selectsur.php', team, '');
		}		
		function p(id) {
			getPage('weeksbi.php', id, '');
		}
		function w(id) {
			getPage('weeks_detailbi.php', id, '');
		}
		function ws(id) {
			getPage('surd.php', id, '');
		}
		function gs() {
			getPage('scoresbi.php', '', '');
		}
		function gsw() {
			getPage('scoresweekbi.php', '', '');
		}
		function gsw2() {
			getPage('scoresweek2bi.php', '', '');
		}
		function gsur() {
			getPage('surweekbi.php', '', '');
		}		
		function g(id) {
			getPage('gamebi.php', id, '');
		}
		function preturn(page, id) {
			getPage(page, id, '');
		}
		function getPage(pageName, idval, otherval) {
		    
			var request = $.ajax({
				url: pageName,
				type: 'POST',
				data: { id : idval, ov: otherval },
				dataType: "html"
			});
 
			request.done(function( msg ) {
			    
			    //alert(msg.length);
			    
			    selectedTeam = '';
			    
			    if (msg == 'EXIT') {
			        // Debe redireccionar al login
			        var url = 'loginbi.php';
                    window.location.href = url;
			    } else if (msg.length < 6) {
			        // Ignora el texto recibido
			    } else if (msg.indexOf('SURH') > -1) {
			        // Ignora el texto recibido
			        getPage('surh.php', '', '');
			    } else {
			        // Desplegar los datos recibidos del servidor
				    $('#contenedor').html(msg);
			    }
			});
		}
		function updated() {

			var e = document.getElementById("pik");
			var team = e.options[e.selectedIndex].id;
			var spread = $('#spread').val();
			
			if (team == '') {
				alert('Must select the winning team');
				return;
			}
			if (spread == '') {
				alert('Must enter the spread of the match');
				return;
			}
			if (spread == '0') {
				alert('The spread cannot be zero');
				return;
			}
			
			var request = $.ajax({
			  url: 'forecast.php',
			  type: 'POST',
			  data: { pik : team, sp: spread },
			  dataType: "html"
			});
	 
			request.done(function( msg ) {
				getPage('weeks_detailbi.php', '' , '');
			});
		}
		function saved() {

			var vscore = $('#vscore').val();
			var hscore = $('#hscore').val();
			
			if (vscore == '') {
				alert('Must enter the score for visit team');
				return;
			}
			if (hscore == '') {
				alert('Must enter the score for home team');
				return;
			}	
			
			var request = $.ajax({
			  url: 'score.php',
			  type: 'POST',
			  data: { vs : vscore, hs: hscore },
			  dataType: "html"
			});
	 
			request.done(function( msg ) {
				getPage('weeks_detailbi.php', '' , '');
			});
		}
		
		getPage('weeks.php', '' , '');
		
		function rc4(key, str)
		{
			var s = [], j = 0, x, res = '';
			for (var i = 0; i < 256; i++) 
			{
				s[i] = i;
			}
			for (i = 0; i < 256; i++) 
			{
				j = (j + s[i] + key.charCodeAt(i % key.length)) % 256;
				x = s[i];
				s[i] = s[j];
				s[j] = x;
			}
			i = 0;
			j = 0;
			for (var y = 0; y < str.length; y++) 
			{
				i = (i + 1) % 256;
				j = (j + s[i]) % 256;
				x = s[i];
				s[i] = s[j];
				s[j] = x;
				res += String.fromCharCode(str.charCodeAt(y) ^ s[(s[i] + s[j]) % 256]);
			}
			return res;
		}	
		
		function getPageLogin() {
					
			var vt1 = document.getElementById('password1').value;
			var vt2 = document.getElementById('password2').value;
			var vt3 = document.getElementById('password3').value;
			
			if (vt1 == '') {
				alert('Debe ingresar la contrase&ntilde;a actual');
				return false;
			}
			if (vt2 == '') {
				alert('Debe ingresar la nueva contrase&ntilde;a');
				return false;
			}		
			if (vt3 == '') {
				alert('Debe ingresar la confirmaci&oacute;n de contrase&ntilde;a');
				return false;
			}					
			if (vt3 != vt2) {
				alert('La confirmaci&oacute;n de contrase&ntilde;a debe ser igual a la nueva');
				return false;
			}	
			
			$('#lgood2').hide();
			$('#lbad2').hide();
			
			var vvt1 = rc4('LSHbswz5ZpldSEvVBe1XWGMHtww9pmet5awu1XMW9tVQlJLSuOd6G5S6s', vt1);
			var vvt2 = rc4('LSHbswz5ZpldSEvVBe1XWGMHtww9pmet5awu1XMW9tVQlJLSuOd6G5S6s', vt2);
			var vvt3 = rc4('LSHbswz5ZpldSEvVBe1XWGMHtww9pmet5awu1XMW9tVQlJLSuOd6G5S6s', vt3);
						
			var request = $.ajax({
				url: 'change.php',
				type: 'POST',
				data: { t1 : vvt1, t2: vvt3, t3: vvt3 },
				dataType: "html"
			});
 
			request.done(function( msg ) {
				//alert(msg);
				var n = msg.indexOf("good");
				if (n > -1) {
					$('#lgood2').show();
					$('#lbad2').hide();
					
					$('#password1').val('');
					$('#password2').val('');
					$('#password3').val('');
					
					/*setTimeout(function(){
						location.href = "select.php";
					}, 2000);*/					
					
				} else {
					$('#lgood2').hide();
					$('#lbad2').show();
				}
			});
		}

		
	</script>
	
	<style>
		.punteo20 {
			color: #40F99B;
		}
		.punteo0 {
			color: #EE2E31;
		}		
		
		
	</style>
	


</head>
<body>

	<div class="container" style="margin-top: 80px;">
		<nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-primary">
			<div class="container-fluid">
				<!--div class="navbar-header">
					
					<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
						<span class="sr-only">Toggle navigation</span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>	
					</button>					
					<a class="navbar-brand" href="#">
						<?php /*echo $_SESSION['POOL_DESC'].' - '.$_SESSION['U_NAME'];*/ ?>
						<?php echo $_SESSION['POOL_DESC']; ?>
					</a>					
				</div>

				<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
					<ul class="nav navbar-nav">
						<li><a href="#" onclick="getPage('weeksbi.php', '' , '');">Weeks</a></li>
						<li><a href="#" onclick="getPage('surh.php', '' , '');">Survivor</a></li>
						<li><a href="#" onclick="getPage('membersbi.php', '' , '');">Members</a></li>
						<li><a href="#" onclick="getPage('scoresbi.php', '' , '');">Score</a></li>
						<li><a href="#" onclick="getPage('ppbi.php', '' , '');">Password</a></li>
					</ul>			  
					<ul class="nav navbar-nav navbar-right">						
						<li class="dropdown">
							<a href="loginbi.php"  id="username">Close</a>
						</li>
					</ul>
				</div><!-- /.navbar-collapse -->
				
				<a class="navbar-brand" href="#">NFL 2022</a>
                  <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                  </button>

                  <div class="collapse navbar-collapse" id="navbarColor01">
                    <ul class="navbar-nav me-auto">
                      <li class="nav-item">
                        <a class="nav-link active" href="#" onclick="getPage('weeksbi.php', '' , '');">Weeks</span>
                        </a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link active" href="#" onclick="getPage('surh.php', '' , '');">Survivor</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link active" href="#" onclick="getPage('membersbi.php', '' , '');">Members</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link active" href="#" onclick="getPage('scoresbi.php', '' , '');">Score</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link active" href="#" onclick="getPage('ppbi.php', '' , '');">Password</a>
                      </li>
                      <!--li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">Dropdown</a>
                        <div class="dropdown-menu">
                          <a class="dropdown-item" href="#">Action</a>
                          <a class="dropdown-item" href="#">Another action</a>
                          <a class="dropdown-item" href="#">Something else here</a>
                          <div class="dropdown-divider"></div>
                          <a class="dropdown-item" href="#">Separated link</a>
                        </div>
                      </li-->
                    </ul>
                    
                    <ul class="nav navbar-nav navbar-right">			
						<li class="nav-item">
                        <a class="nav-link active" href="loginbi.php">Close</a>
                      </li>
					</ul>
                    
                    <!--form class="d-flex">
                      <input class="form-control me-sm-2" type="text" placeholder="Search">
                      <button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
                    </form-->
                  </div>
				
				
			</div><!-- /.container-fluid -->
		</nav>

		<!-- Main component for a primary marketing message or call to action -->
		<!--div class="jumbotron">
		<h1>Pools</h1>
		<p>This example is a quick exercise to illustrate how the default, static navbar and fixed to top navbar work. It includes the responsive CSS and HTML, so it also adapts to your viewport and device.</p>
		<p>
		  <a class="btn btn-lg btn-primary" href="../../components/#navbar" role="button">View navbar docs &raquo;</a>
		</p>
		</div-->

		<div id="contenedor"> 
		
		</div>
	  
	</div> <!-- /container -->
</body>
</html>
