<?php
	
session_start();

// Si no hay sesi贸n abierta, debe dirigirse al login...
if ($_SESSION['U_ID'] == '') {
    header("Location: loginbi.php");
    exit();
}

if (!empty($_POST))
{
	$wid = $_POST['id'];
	if ($wid == '')
		$wid = $_SESSION['W_ID'];
	else {
		$_SESSION['W_ID'] = $wid;
	}
} else {
	$wid = $_SESSION['W_ID'];
}

require 'header.php';

$tt = array();

$s = "SELECT a.teams_id, ifnull(b.sur_state,0) state FROM teams  a left outer join sur b on b.team_id = a.teams_id and b.pool_id=".$_SESSION['POOL_ID']." and member_id = '".$_SESSION['U_ID']."' ";
$result = $conn->query($s);
while ($row = $result->fetch_array(MYSQLI_ASSOC)){
    $tt[$row['teams_id']] = $row['state'];
}
$result->close();



echo '<h3><a href="#" onclick="getPage('."'surh.php', '' , ''".');">Survivor for Week '.$_SESSION['W_ID'].'</a>&emsp;&ensp;';
//echo '<h3>Survivor for Week '.$_SESSION['W_ID'].'</h3>';

?>

	<div class="list-group">
		<?php

		$funcs = '';
		$cr = 0;

		$s = "select a.pool_id,a.week,a.game_id,a.game_date,a.home,a.visitor,a.visitor_score,a.home_score,a.winner,a.spread,a.gtime,";
		$s .= " b.short AS shome,b.city as chome,b.logo as logoh,c.short AS svisitor,c.city AS cvisitor,c.logo as logov ,IFNULL(d.members_id,'NON') members_id,";
		$s .= " IFNULL(d.pik,'none') pik,IFNULL(d.spread,0) spread2,IFNULL(d.points,0) points2, ";
		$s .= " IFNULL(e.twin,0) as hwins, IFNULL(e.tlost,0) as hlosts,  ";
		$s .= " IFNULL(f.twin,0) as vwins, IFNULL(f.tlost,0) as vlosts  ";
		$s .= " from games a  ";
		$s .= " inner join teams b on b.teams_id = a.home ";
		$s .= " inner join teams c on c.teams_id = a.visitor ";
		$s .= " left join team_state e on e.teams_id = a.home ";
		$s .= " left join team_state f on f.teams_id = a.visitor ";
		$s .= " left join forecast d on d.game_id=a.game_id and d.members_id='".$_SESSION['U_ID']."'";
		$s .= " where a.pool_id = ". $_SESSION['POOL_ID']." and a.week = ". $_SESSION['W_ID'];
		$s .= " order by a.game_date, a.gtime, a.game_id ";
				 
		$result = $conn->query($s);

		while ($row = $result->fetch_array(MYSQLI_ASSOC)){

		    // Inicio de fila
		    if ($cr == 0) {
		        echo '<div class="row">';    
		    }
		    
		    echo '<div class="col col-sm-3 col-xs-6" style="border: 1px solid gray; border-radius: 5px;">';
	            echo '<div class="row">';
		            echo '<div class="col-6 col-sm-6 col-xs-6">';
            			echo '<img class="imgShadow2" src="https://static.www.nfl.com/league/api/clubs/logos/'.$row['logov'].'" title="'.$row['cvisitor'].' '.$row['visitor'].'">';
            			echo '<br><span>'.$row['visitor'].'</span>';
            			echo '<p>'.$row['vwins'].'-'.$row['vlosts'].'</p>';
            			
            			if ($tt[$row['visitor']] == 0) {
            			    echo '<input class="form-control form-check-input" onClick="teamSel('."'".$row['visitor']."'".');" type="radio" name="radiog" id="flexRadioDisabled">';
            			}
        			echo '</div>';
        			echo '<div class="col-6 col-sm-6 col-xs-6">';
            			echo '<img class="imgShadow2" src="https://static.www.nfl.com/league/api/clubs/logos/'.$row['logoh'].'" title="'.$row['chome'].' '.$row['home'].'">';
            			echo '<br><span>'.$row['home'].'</span>';
            			echo '<p>'.$row['hwins'].'-'.$row['hlosts'].'</p>';
            			
            			if ($tt[$row['home']] == 0) {
            			    echo '<input class="form-control form-check-input" onClick="teamSel('."'".$row['home']."'".');" type="radio" name="radiog" id="flexRadioDisabled">';
            			}
        			echo '</div>';
    			echo '</div>';
    			
    			echo '<div class="row">';
    			    echo '<h5><span class="badge text-bg-secondary">'.$row['game_date'].' '.$row['gtime'].'</span></h5>';
	            echo '</div>';  
	            
		    echo '</div>';

		    // Fin de fila
		    if ($cr == 3) {
		        echo '</div>';    
		        $cr = 0;
		    } else {
		        $cr++;
		    }

			/*
			
				if ($row['winner'] != '') {
				    
				    echo '<div class="col-xs-4 col-md-4 col-sm-4">';
				    
					//echo '<img class="imgShadow2" src="teams/'.$row['visitor'].'.png" title="'.$row['cvisitor'].' '.$row['visitor'].'">';
					
					echo '<img class="imgShadow2" src="https://static.www.nfl.com/league/api/clubs/logos/'.$row['logov'].'" title="'.$row['cvisitor'].' '.$row['visitor'].'">';

					echo '</div>';
					
					echo '<div class="col-xs-4 col-md-4  col-sm-4" style="text-align:center">';
						echo '<h3>'.$row['visitor_score'].' / '.$row['home_score'].'</h3>';
					echo '</div>';	

					echo '<div class="col-xs-4 col-md-4  col-sm-4">';
					
					//echo '<img  class="imgShadow2" src="teams/'.$row['home'].'.png" title="'.$row['chome'].' '.$row['home'].'">';
					
					echo '<img class="imgShadow2" src="https://static.www.nfl.com/league/api/clubs/logos/'.$row['logoh'].'" title="'.$row['chome'].' '.$row['home'].'">';

					echo '</div>';		
				
				} else {		
				
					echo '<div class="col-xs-4 col-md-2 col-sm-1">';
					
					//echo '<img  class="imgShadow2" src="teams/'.$row['visitor'].'.png" title="'.$row['cvisitor'].' '.$row['visitor'].'">';
					
					echo '<img class="imgShadow2" src="https://static.www.nfl.com/league/api/clubs/logos/'.$row['logov'].'" title="'.$row['cvisitor'].' '.$row['visitor'].'">';

					echo '</div>';

					echo '<div class="col-xs-4 col-md-4  col-sm-4" style="text-align:center">';

					echo '</div>';	

					echo '<div class="col-xs-4 col-md-2  col-sm-1">';

					//echo '<img  class="imgShadow2" src="teams/'.$row['home'].'.png" title="'.$row['chome'].' '.$row['home'].'">';
					
					echo '<img class="imgShadow2" src="https://static.www.nfl.com/league/api/clubs/logos/'.$row['logoh'].'" title="'.$row['chome'].' '.$row['home'].'">';

					echo '</div>';		
				}	
								
			echo '</div>';			
			
			echo '<div class="row" style="text-align:left">';				
				echo '<div class="col-xs-4 col-md-4 col-sm-1">';
                echo '<p>'.$row['vwins'].'-'.$row['vlosts'].'</p>';
				echo '</div>';

				echo '<div class="col-xs-4 col-md-4  col-sm-4" style="text-align:center">';

				echo '</div>';	

				echo '<div class="col-xs-4 col-md-4  col-sm-1">';
                echo '<p>'.$row['hwins'].'-'.$row['hlosts'].'</p>';
				echo '</div>';	
			echo '</div>';			

			echo '<div class="row">';				
				echo '<div class="col-xs-4 col-md-2  col-sm-2">';
					echo '<h5><span class="badge badge-secondary">'.$row['game_date'].' '.$row['gtime'].'</span></h5>';
				echo '</div>';				
			echo '</div>';		
			*/
			
			/*
			echo '<div class="row"   style="border-bottom:1px solid white">';				
				if ($row['pik'] != "none") {
					echo '<div class="col-xs-4 col-md-2  col-sm-2">';
						echo '<h5>Piks <span class="badge badge-secondary">'.$row['pik'].'</span></h5>';
					echo '</div>';
								
					echo '<div class="col-xs-4 col-md-2  col-sm-2">';
						echo '<h5>Spread <span class="badge badge-secondary">'.$row['spread2'].'</span></h5>';					
					echo '</div>';	
				}
				
				if ($row['winner'] != '') {
					if ($row['pik'] == 'none') { 
						echo '<div class="col-xs-4 col-md-2  col-sm-2">';
							echo '<h5>Points <span class="badge badge-secondary">0</span></h5>';					
						echo '</div>';
					} else {
						$res = abs($row['spread2']-$row['spread']);

						echo '<div class="col-xs-4 col-md-2  col-sm-2">';
							echo '<h5>Points <span class="badge badge-secondary">'.$row['points2'].'</span></h5>';																
						echo '</div>';
					}										
				} 
			echo '</div>';
			*/
			
			//echo '</div>';
			//echo '</a>';
		}

		$result->close();
		
		if ($cr != 0) {
	        echo '</div>';    
	    }
	    
	    echo '<br/>';
	    echo '<button type="button" class="btn btn-primary" onclick="confirmTeam();">Confirm</button>';
	    
	    echo '<br/><br/>';

		?>
		
	</div>
	
	<script>
	
	$(".imgShadow").imageShadow({
        color: '#FF0000',
        blur: 40
    });
	
	</script>
	
<?php

require 'footer.php';
	
?>
